\documentclass{standalone}

\usepackage[latin1]{inputenc}
\usepackage{tikz}
\usetikzlibrary {automata,positioning}
\begin{document}

\begin{tikzpicture}[shorten >=1pt,node distance=2cm,on grid,auto]
    % \draw[help lines] (0,0) grid (3,2);

    \node[state,initial]  (q_0) at (-31,0)               {$q_0$};
    \node[state,accepting](q_1) [right=of q_0] {$q_1$};

    \path[->] (q_0) edge [bend left] node        {$g$} (q_1)
              (q_0) edge [loop above]  node  {$\neg g$} ()
              (q_1) edge [bend left]  node        {$\neg g$} (q_0)
              (q_1) edge [loop above] node        {$g$} ()
    ;
\end{tikzpicture}

\end{document}
